public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/packer/
Date: Thu, 18 Jul 2019 07:14:01 +0000 (UTC)	[thread overview]
Message-ID: <1563434031.caf317d365dca044a65536687be48c980d47df6c.mgorny@gentoo> (raw)

commit:     caf317d365dca044a65536687be48c980d47df6c
Author:     Dan Molik <dan <AT> danmolik <DOT> com>
AuthorDate: Wed Jul 10 10:32:26 2019 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Jul 18 07:13:51 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=caf317d3

dev-util/packer: version bump to 1.4.1

Package-Manager: Portage-2.3.68, Repoman-2.3.16
Signed-off-by: Dan Molik <dan <AT> danmolik.com>
Tested-by: Dan Molik <dan <AT> danmolik.com>
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-util/packer/Manifest            |  1 +
 dev-util/packer/packer-1.4.1.ebuild | 37 +++++++++++++++++++++++++++++++++++++
 2 files changed, 38 insertions(+)

diff --git a/dev-util/packer/Manifest b/dev-util/packer/Manifest
index 2d12ce34eb1..90f334627db 100644
--- a/dev-util/packer/Manifest
+++ b/dev-util/packer/Manifest
@@ -1,2 +1,3 @@
 DIST packer-1.3.5.tar.gz 9198704 BLAKE2B 210c824aa61fed8ab58ea6eed2a1804d8b144e7e20f0794721b2c282d066969d1193fc36b004bb7d31d8a2b19fa609e673d05457653bf8ad694a142563e839cc SHA512 becd747b43c8a9c0aa93d1d723f2e2383e9f2adc19e82653142ea13080aa393750cd3fdf86fa259af21af6b6417bf023e7e482402dfa56d347720fb740ebe906
 DIST packer-1.4.0.tar.gz 9794922 BLAKE2B 2e1d817e0a3f549255ecd8693d6d99b2e45df2e8fb0acc128f03bd1448f28afa865a0849ccf58e9a562ef50b901ea86efd29fe29747c126aa98c05456638719f SHA512 d2dbeb99d1fe44a427d2997eeb4ff6ae66bdf2d7f8f08e2105f8614487a6565b8bc263cf8aab8413520783a4dde18d150aae6c69db171fe1cfab3ee1bd0a0743
+DIST packer-1.4.1.tar.gz 11279518 BLAKE2B 7b1b966af8cac73826fc8f5a1cb39183fd2ae1d3b7da6d7408cbb7c3342a0fd2ba84cf1df89ea9edc41353c0bbb6c874347745a91c3eaa1a742521c79500f21a SHA512 4038990655eecf412be9dae9edd09a300543a3b0b841c982631cb48f4905388f9dbf26a9b0ac3cb77628d1e650600b7d3b89a1694f746dfdef086a621078cde1

diff --git a/dev-util/packer/packer-1.4.1.ebuild b/dev-util/packer/packer-1.4.1.ebuild
new file mode 100644
index 00000000000..f0bba724a79
--- /dev/null
+++ b/dev-util/packer/packer-1.4.1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit golang-vcs-snapshot
+
+DESCRIPTION="A tool to create identical machine images for multiple platforms"
+HOMEPAGE="https://www.packer.io"
+
+EGO_PN="github.com/hashicorp/packer"
+SRC_URI="https://github.com/hashicorp/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+DEPEND=">=dev-lang/go-1.12.0"
+
+DOCS=( src/${EGO_PN}/{README,CHANGELOG}.md )
+
+src_compile() {
+	cd "src/${EGO_PN}" || die
+	GOPATH="${S}" GOCACHE="${T}/go-cache" go build \
+		-v -work -o "${S}/${PN}" ./ || die
+}
+
+src_install() {
+	dobin packer
+
+	einstalldocs
+
+	pushd "src/${EGO_PN}" || die
+	insinto /usr/share/zsh/site-functions
+	doins contrib/zsh-completion/_packer
+	popd || die
+}


             reply	other threads:[~2019-07-18  7:14 UTC|newest]

Thread overview: 34+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-07-18  7:14 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-06-13 14:44 [gentoo-commits] repo/gentoo:master commit in: dev-util/packer/ Arthur Zamarin
2024-06-02  8:09 Joonas Niilola
2024-04-20  7:40 Joonas Niilola
2023-10-28 10:16 Yixun Lan
2023-10-17 14:02 Yixun Lan
2023-05-02 13:19 Joonas Niilola
2023-01-27  7:33 Joonas Niilola
2023-01-27  7:33 Joonas Niilola
2022-06-14  6:09 Jakov Smolić
2022-04-21  6:54 Jakov Smolić
2022-03-24  7:55 Joonas Niilola
2022-03-24  7:55 Joonas Niilola
2022-01-28  7:53 Sam James
2022-01-28  7:53 Sam James
2021-10-31  8:38 Sam James
2021-10-31  8:38 Sam James
2021-10-31  3:06 Sam James
2021-04-29 16:49 Rick Farina
2020-11-12 21:28 Patrice Clement
2020-09-16 12:33 Joonas Niilola
2020-09-15 14:11 Joonas Niilola
2020-09-15 14:11 Joonas Niilola
2020-03-21 22:12 William Hubbs
2020-03-21 22:12 William Hubbs
2019-11-16  9:45 Joonas Niilola
2019-10-23 13:19 Manuel Rüger
2019-07-18  7:14 Michał Górny
2019-04-16 18:14 Georgy Yakovlev
2019-03-18 22:53 Patrice Clement
2019-03-18 22:53 Patrice Clement
2019-02-02  0:40 Georgy Yakovlev
2019-02-02  0:40 Georgy Yakovlev
2019-01-06 22:48 Georgy Yakovlev

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1563434031.caf317d365dca044a65536687be48c980d47df6c.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox